package MT::SheetAsset::URLHandler::CopyPublic;

# https://copy.com/DG1apsjn4H7fbuDR

use strict;
use warnings;
use base qw( MT::SheetAsset::URLHandler::Base );

use MT::SheetAsset::Util;

sub match {
    my $self = shift;
    my ( $ctx ) = @_;

    $ctx->{url} =~ m!//copy\.com/(\w+)!i;
}

sub pre_download {
    my $self = shift;
    my ( $ctx ) = @_;
    my $url = $ctx->{url};

    # Modify dl param to download
    $url .= $url =~ /\?/ ? '&' : '?';
    $url .= 'download=1';

    $ctx->{url} = $url;

    1;
}

1;